/* Copyright 2020 The TensorFlow Authors. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
==============================================================================*/

syntax = "proto2";

package tflite.task.vision;

import "tensorflow_lite_support/cc/task/vision/proto/class.proto";

// List of predicted classes (aka labels) for a given image classifier head.
message Classifications {
  // The array of predicted classes, usually sorted by descending scores (e.g.
  // from high to low probability).
  repeated Class classes = 1;
  // The index of the image classifier head these classes refer to. This is
  // useful for multi-head models.
  optional int32 head_index = 2;
}

// Contains one set of results per image classifier head.
message ClassificationResult {
  repeated Classifications classifications = 1;
}
